Subject: FW: [Ltru] Re: STD (was: Last Call: 'Tags for Identifying Languages' toBCP)

From: "Debbie Garside" <[email-masked]>
Date: Mon, 29 Aug 2005 20:53:03 +0100

Doug Ewell wrote:

> I'm a bit surprised that a work characterized as a work-in-progress and
> not yet ready for public review is nevertheless deemed ready to be
> considered as a draft international standard.  

ISO 639-6 is based on the Linguasphere Register by Dr David Dalby published
1999/2000; it is currently being revised in conjunction with the standard.
There are a number of copies still available if you would like to order one!
;-)

> -----Original Message-----
> From: Doug Ewell [mailto:[email-masked]]
> Sent: 28 August 2005 19:36
> To: LTRU Working Group
> Cc: Debbie Garside
> Subject: Re: [Ltru] Re: STD (was: Last Call: 'Tags for Identifying
> Languages' toBCP)
> 
> Debbie Garside <debbie at ictmarketing dot co dot uk> wrote:
> 
> > I don't think anyone should make assumptions where technology is
> > concerned!  What I can say is that the database for the 639-6 standard
> > will be made freely available online, in the same way as the
> > Ethnologue, as soon as it is ready.  However, this is a WIP and there
> > really is no point putting up half information that has not yet been
> > verified.  I am currently putting together the verification
> > methodology which will be implemented by various collaboration
> > partners internationally.  I cannot at this moment say when the
> > database will be ready but rest assured you will be notified.
> 
We're not talking about a
> completely new invention, but a method of classifying languages, which
> is a human endeavor dating back many centuries if not millenia.
> 
> But I'm certainly glad that my assumption that the information might not
> be made freely available was incorrect.  Clearly, there can't be
> anything proprietary or IP-restricted about the data available for
> language tags (but of course Linguasphere can always provide proprietary
> value-added data, such as the language hierarchy).
> 
> > As it stands at the moment, 639-6 will provide each linguistic entity
> > with one language reference name.  This reference name is intended for
> > use as the unique data identifier (DI as per 11179). Unique Data
> > Identifiers and alpha-4 Representations for each linguistic entity
> > written, spoken and signed down to the level of dialect and component
> > variety, where appropriate, will be provided.  Because 639-6 is a
> > hierarchical system (the parent alpha-4 representation is provided),
> > it lends itself very well to the "mapping" of the other codes of the
> > 639 family; something that should prove invaluable for backward
> > compatibility.  In other words, in the system as proposed, you could
> > use either the alpha-4 representation or the unique DI to find the
> > closest 639-1,-2,-3 or -5 tags should you so wish.
> 
> But in language tags, either one value needs to be canonical -- sorry,
> "preferred" -- over the others, or else the duplicative values should be
> not be added at all.  Otherwise there is a significant burden on those
> who would perform matching.
> 
> I would suggest that for compatibility, subtags directly mappable to ISO
> 639-1/2/3 should not be added.  This is similar to the situation with
> ISO 639-2 in RFC 3066, where values like "eng" were not made available
> for language tags because of the pre-existence of "en".
> 
> Will Linguasphere provide the mapping between the new alpha-4 codes and
> ISO 639-1/2/3, or is that something a group like this would have to do?
> 
> >> Meanwhile, the claim that there are "over 20,000 languages" to be
> >> tagged is being used as an argument against the current RFC 3066bis
> >> effort and the plan to support 7,600 languages in RFC 3066ter.
> >
> > Hmmmm... at this point there could be very lengthy off topic
> > discussions as to what is a language and I don't think that is a good
> > idea.  I would not say that there are 20,000 languages but rather
> > nearer to 7,600 as stated in 639-3; just my humble opinion.  JFTR, I
> > support the inclusion of 639-3 in RFC3066ter.
> 
> I agree that the broad question of "what is a language" is out of our
> scope. The more specific question "what is a taggable language
> distinction" is perhaps more germane.  I just think the two figures
> (7,600 and 20,000) could be seen as representing a fundamental
> disagreement.  I'd like to cite a specfic example of a distinction that
> is made in 639-6 but not 639-3, but I can't because the data's not yet
> available.
> 
> I did not mean to imply that it was you (or Lee) who opposed either the
> current draft or the proposed use of ISO 639-3 in future drafts.
> 
> >> I'm not saying anything against the Linguasphere effort per se, but
> >> with the limited knowledge available to me, I don't think its
> >> eventual role in language tagging should be considered a fait
> >> accompli.
> >
> > That is your prerogative but IMHO very much a sensible approach (see
> > first line comment).
> >
> > ISO 639-6 is being created as an International Standard.  There is a
> > long way to go (earliest completion 2007) until it reaches full IS and
> > no doubt there will be twists and turns on the ISO journey :-)
> >
> > As previously mentioned by Peter, there will be a draft CD for comment
> > available by the end of November.  At that time I will happily make it
> > available to this expert group for comment.
> 
> I will gladly wait until then before trying to make specific comments on
> 639-6.  Until then, I stand by my prerogative (in the U.S. we might say
> that it's not a slam dunk).
> 
> > Have a nice day!
> 
> +1
> 
> --
> Doug Ewell
> Fullerton, California
> http://users.adelphia.net/~dewell/

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Mark Davis <[email-masked]>
Date: Mon, 29 Aug 2005 16:33:35 -0700

> 1999/2000; it is currently being revised in conjunction with the 
standard.

At the very least, you should not say "standard", but instead say 
"proposed standard". It is *not* an ISO standard, not even a CD.

Mark

---

From: r&d afrac <[email-masked]>
Date: Tue, 30 Aug 2005 04:42:57 +0200

>"proposed standard". It is *not* an ISO standard, not even a CD.

Dear Mark,
you call your Draft RFC 3066bis for so long, you could allow Debbie 
to enjoy calling her ISO 639-6 work a standard once.

I may miss something, but you should be happy she supports and 
enhances your Draft with possibly missing names in ISO 639-3 to be? 
She even permitted Peter to document that (nobody known it!): in 
spite of having a WG consensus against the very idea, your Draft 
supported ISO 11179 (however no one but me ever talked of ISO 11179 
conformant table).

Now you are correct, it is not a CD but a very big book, very long to 
scann. Debbie could we at least have a file copy of the 1999/2000 
version? It would save me days... Thank you.
jfc

---

From: "Debbie Garside" <[email-masked]>
Date: Tue, 30 Aug 2005 08:51:03 +0100

I think it has been made perfectly clear where we are with it! 

> From: Mark Davis [mailto:[email-masked]]
> Sent: 30 August 2005 00:34
> To: Debbie Garside
> Cc: 'LTRU Working Group'
> Subject: Re: FW: [Ltru] Re: STD (was: Last Call: 'Tags for Identifying
> Languages' toBCP)
>